/********************************************************************

*

*   Copyright 1999-2000 Phone.com, Inc.  All rights reserved.

*

*   Subject to the terms and conditions of the SDK License Agreement, 

*   Phone.com, Inc. hereby grants you the right to use the UP.SDK 

*   software and its related documentation.

*

*   The Phone.com name and logo and the family of terms carrying the "UP."

*   prefix are trademarks of Phone.com, Inc. All other brands and product 

*   names may be trademarks of the respective companies with which they 

*   are associated.

*

********************************************************************/



#if !defined(AFX_NTFNDLG_H__754A3B73_6C19_11D1_B51C_00A02468F2A3__INCLUDED_)

#define AFX_NTFNDLG_H__754A3B73_6C19_11D1_B51C_00A02468F2A3__INCLUDED_



#if _MSC_VER >= 1000

#pragma once

#endif // _MSC_VER >= 1000

// NtfnDlg.h : header file

//



/////////////////////////////////////////////////////////////////////////////

// NtfnDlg form view



//#include "comtest.h"



#ifndef __AFXEXT_H__

#include <afxext.h>

#endif



class NtfnDlg : public CFormView

{

protected:

	NtfnDlg();           // protected constructor used by dynamic creation

	DECLARE_DYNCREATE(NtfnDlg)



// Form Data

public:

	//{{AFX_DATA(NtfnDlg)

	enum { IDD = IDD_NTFNDLG };

	CComboBox	m_CharsetCombo;

	CStatic	m_CBorder;

	CButton	m_SendPrefetch;

	CButton	m_SendAlert;

	CButton	m_PrefetchStatus;

	CButton	m_DeletePrefetch;

	CButton	m_DeleteAlert;

	CButton	m_AlertStatus;

	CString	m_AlertTitle;

	BOOL	m_RequireSecureCheckBox;

	BOOL	m_UseSecureCheckBox;

	CString	m_HostName;

	CString	m_KeyFileName;

	CString	m_Password;

	CString	m_SubscriberID;

	long	m_TTL;

	CString	m_Url;

	CString	m_Charset;

	int		m_AlertUrgency;

	CString	m_AlertCount;

	//}}AFX_DATA



// COM interface pointers

	INtfn3SClient *m_SNtfn;

	INtfn3Client  *m_Ntfn;



// Attributes

public:



// Operations

public:



	BOOL IsEdit( CWnd* pWnd );



// Overrides

	// ClassWizard generated virtual function overrides

	//{{AFX_VIRTUAL(NtfnDlg)

	public:

	virtual void OnInitialUpdate();

	virtual BOOL PreTranslateMessage(MSG* pMsg);

	protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	//}}AFX_VIRTUAL



// Implementation

protected:

	virtual ~NtfnDlg();

#ifdef _DEBUG

	virtual void AssertValid() const;

	virtual void Dump(CDumpContext& dc) const;

#endif



	// Generated message map functions

	//{{AFX_MSG(NtfnDlg)

	afx_msg void OnBtnAlertStatus();

	afx_msg void OnBtnDeleteAlert();

	afx_msg void OnBtnDeletePrefetch();

	afx_msg void OnBtnPrefetchStatus();

	afx_msg void OnBtnSendAlert();

	afx_msg void OnBtnSendPrefetch();

	afx_msg void OnEditCopy();

	afx_msg void OnEditCut();

	afx_msg void OnEditPaste();

	afx_msg void OnUpdateNeedSel(CCmdUI* pCmdUI);

	afx_msg void OnUpdateNeedClip(CCmdUI* pCmdUI);

	afx_msg void OnBtnSendPush();

	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};



/////////////////////////////////////////////////////////////////////////////



//{{AFX_INSERT_LOCATION}}

// Microsoft Developer Studio will insert additional declarations immediately before the previous line.



#endif // !defined(AFX_NTFNDLG_H__754A3B73_6C19_11D1_B51C_00A02468F2A3__INCLUDED_)

